<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::MemoryDataStream Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1MemoryDataStream.html">Ogre::MemoryDataStream</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MemoryDataStream.html#47ba6c03cb7bf3182b31c63753729be3">close</a>(void)</td><td><a class="el" href="classOgre_1_1MemoryDataStream.html">Ogre::MemoryDataStream</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DataStream.html#0e8fff2d3b689409db17998ef0b7e680">DataStream</a>()</td><td><a class="el" href="classOgre_1_1DataStream.html">Ogre::DataStream</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DataStream.html#d5b1850419f7c0f8891a10b305b93893">DataStream</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1DataStream.html">Ogre::DataStream</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MemoryDataStream.html#79d9420839d7cac9a28c96cb9153b63c">eof</a>(void) const </td><td><a class="el" href="classOgre_1_1MemoryDataStream.html">Ogre::MemoryDataStream</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DataStream.html#022f49c9313deffc5da4383d59d1f32d">getAsString</a>(void)</td><td><a class="el" href="classOgre_1_1DataStream.html">Ogre::DataStream</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MemoryDataStream.html#c753e2375fcdf5e137210339350b5f21">getCurrentPtr</a>(void)</td><td><a class="el" href="classOgre_1_1MemoryDataStream.html">Ogre::MemoryDataStream</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DataStream.html#86d2ff5dff63ce4b689dd1d486d3243f">getLine</a>(bool trimAfter=true)</td><td><a class="el" href="classOgre_1_1DataStream.html">Ogre::DataStream</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DataStream.html#7ebd86825f86b7114024d168e9751395">getName</a>(void)</td><td><a class="el" href="classOgre_1_1DataStream.html">Ogre::DataStream</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MemoryDataStream.html#9d866cd1bbe58bbc59fdbc1dba024b9f">getPtr</a>(void)</td><td><a class="el" href="classOgre_1_1MemoryDataStream.html">Ogre::MemoryDataStream</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MemoryDataStream.html#031fc2b8dde9f716e0d3b32b53c9c46c">mData</a></td><td><a class="el" href="classOgre_1_1MemoryDataStream.html">Ogre::MemoryDataStream</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MemoryDataStream.html#2196ee12b153b73e168f3ae3ba3a431e">MemoryDataStream</a>(void *pMem, size_t size, bool freeOnClose=false)</td><td><a class="el" href="classOgre_1_1MemoryDataStream.html">Ogre::MemoryDataStream</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MemoryDataStream.html#629c4366d9ecb8a06286b7380dd53d26">MemoryDataStream</a>(const String &amp;name, void *pMem, size_t size, bool freeOnClose=false)</td><td><a class="el" href="classOgre_1_1MemoryDataStream.html">Ogre::MemoryDataStream</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MemoryDataStream.html#24bf41fe1508cbf5d98280c6208a0e11">MemoryDataStream</a>(DataStream &amp;sourceStream, bool freeOnClose=true)</td><td><a class="el" href="classOgre_1_1MemoryDataStream.html">Ogre::MemoryDataStream</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MemoryDataStream.html#6895d655ea18c8a2555089413b6fda58">MemoryDataStream</a>(DataStreamPtr &amp;sourceStream, bool freeOnClose=true)</td><td><a class="el" href="classOgre_1_1MemoryDataStream.html">Ogre::MemoryDataStream</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MemoryDataStream.html#8a0f76143497a2ae9ad691ed1555e4db">MemoryDataStream</a>(const String &amp;name, DataStream &amp;sourceStream, bool freeOnClose=true)</td><td><a class="el" href="classOgre_1_1MemoryDataStream.html">Ogre::MemoryDataStream</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MemoryDataStream.html#93c7bb53e6b5a70df93a07b6b8669b2b">MemoryDataStream</a>(const String &amp;name, const DataStreamPtr &amp;sourceStream, bool freeOnClose=true)</td><td><a class="el" href="classOgre_1_1MemoryDataStream.html">Ogre::MemoryDataStream</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MemoryDataStream.html#d19e7001cc8f2568c15a8beaf938ea14">MemoryDataStream</a>(size_t size, bool freeOnClose=true)</td><td><a class="el" href="classOgre_1_1MemoryDataStream.html">Ogre::MemoryDataStream</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MemoryDataStream.html#beef8ef4c1c13f8b3b91d13e9fd4269e">MemoryDataStream</a>(const String &amp;name, size_t size, bool freeOnClose=true)</td><td><a class="el" href="classOgre_1_1MemoryDataStream.html">Ogre::MemoryDataStream</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MemoryDataStream.html#529afac3f0ee55d00798f3ef7058a94f">mEnd</a></td><td><a class="el" href="classOgre_1_1MemoryDataStream.html">Ogre::MemoryDataStream</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MemoryDataStream.html#1099feda84559859d0e73ccf3589d4a4">mFreeOnClose</a></td><td><a class="el" href="classOgre_1_1MemoryDataStream.html">Ogre::MemoryDataStream</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DataStream.html#371660702e913ca2799f0478a2154af7">mName</a></td><td><a class="el" href="classOgre_1_1DataStream.html">Ogre::DataStream</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MemoryDataStream.html#cf8096ff658fc9016c6cce0d28377b8a">mPos</a></td><td><a class="el" href="classOgre_1_1MemoryDataStream.html">Ogre::MemoryDataStream</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DataStream.html#260d2aa9971abc5b8412cff1a01d6382">mSize</a></td><td><a class="el" href="classOgre_1_1DataStream.html">Ogre::DataStream</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DataStream.html#05072afd475d6875eedd5fc81a73123a">operator&gt;&gt;</a>(T &amp;val)</td><td><a class="el" href="classOgre_1_1DataStream.html">Ogre::DataStream</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MemoryDataStream.html#b3ee46ce477d58f8945340a4e2117820">read</a>(void *buf, size_t count)</td><td><a class="el" href="classOgre_1_1MemoryDataStream.html">Ogre::MemoryDataStream</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MemoryDataStream.html#398aa1ba9f58276dc868d2c3968953c4">readLine</a>(char *buf, size_t maxCount, const String &amp;delim=&quot;\n&quot;)</td><td><a class="el" href="classOgre_1_1MemoryDataStream.html">Ogre::MemoryDataStream</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MemoryDataStream.html#264956cfd878b1c12f28a37e492fc0bb">seek</a>(size_t pos)</td><td><a class="el" href="classOgre_1_1MemoryDataStream.html">Ogre::MemoryDataStream</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MemoryDataStream.html#cee80421c052bd3c6452141f067cfa13">setFreeOnClose</a>(bool free)</td><td><a class="el" href="classOgre_1_1MemoryDataStream.html">Ogre::MemoryDataStream</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DataStream.html#1d4e9568e53a8071ea9b29a015425aef">size</a>(void) const </td><td><a class="el" href="classOgre_1_1DataStream.html">Ogre::DataStream</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MemoryDataStream.html#bc0369bcd83740cf03cb27a11665486f">skip</a>(long count)</td><td><a class="el" href="classOgre_1_1MemoryDataStream.html">Ogre::MemoryDataStream</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MemoryDataStream.html#581ccd32944288808f7602b29a0218e9">skipLine</a>(const String &amp;delim=&quot;\n&quot;)</td><td><a class="el" href="classOgre_1_1MemoryDataStream.html">Ogre::MemoryDataStream</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MemoryDataStream.html#d075d2536d4fe7075ead6e3a7afd198d">tell</a>(void) const </td><td><a class="el" href="classOgre_1_1MemoryDataStream.html">Ogre::MemoryDataStream</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DataStream.html#9501eeeb1aefc59f4dad05ec0cbdc14e">~DataStream</a>()</td><td><a class="el" href="classOgre_1_1DataStream.html">Ogre::DataStream</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MemoryDataStream.html#fffeeea1e906ef13aac0fdde018d3194">~MemoryDataStream</a>()</td><td><a class="el" href="classOgre_1_1MemoryDataStream.html">Ogre::MemoryDataStream</a></td><td></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:30 2008
</p>
</body>
</html>
